Bug 207007 - www/redmine: broken with rubygem-pg update in r401667
Summary: www/redmine: broken with rubygem-pg update in r401667
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ruby mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-07 20:54 UTC by Johannes Jost Meixner
Modified: 2016-02-21 14:02 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
fix postgresql adapter through Gemfile patch... (1.34 KB, patch)
2016-02-07 20:54 UTC, Johannes Jost Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2016-02-07 20:54:29 UTC
Created attachment 166718 [details]
fix postgresql adapter through Gemfile patch...

Patch attached unbreaks redmine after rubygem-pg was updated in r401667.
Comment 1 Kurt Jaeger freebsd_committer 2016-02-13 08:13:28 UTC
Please note that Torsten Zuehlsdorff has prepared a patch to upgrade redmine to 3.2.0, which will probably fix this, too.
Comment 2 Johannes Jost Meixner freebsd_committer 2016-02-17 11:34:41 UTC
Where do I find it?
Comment 3 Kurt Jaeger freebsd_committer 2016-02-17 11:54:34 UTC
I've put it on http://people.freebsd.org/~pi/misc/redmine.diff
Comment 4 Johannes Jost Meixner freebsd_committer 2016-02-17 18:46:44 UTC
Nice!

Is the plan to deprecate Redmine 2.x completely,
or rather move the port to www/redmine2, then
copy that to www/redmine and apply that patch?
Comment 5 Kurt Jaeger freebsd_committer 2016-02-17 18:51:48 UTC
Nothing is decided yet. What would you prefer ?
Comment 6 Johannes Jost Meixner freebsd_committer 2016-02-17 20:11:15 UTC
I'm not much personally invested - especially if I can install Redmine 3 as easy as I can Redmine 2.

I have a hunch some users might (for whatever reason) find it convenient not to upgrade to 3.x for the time being or at least until they've been able to check whether migrating their DB to it is feasible&simple.

When do you plan to merge Torsten's patch, roughly?
Comment 7 Kurt Jaeger freebsd_committer 2016-02-17 20:19:02 UTC
Torsten's is on vacation this week, and I'll have loads of work @dayjob the next week, so I'm not promising anything! If he submits the diff to a PR, anyone can work on it. It just happens that I need to do some redmine and found the available port old, and Torsten says he planned to work on it to get rid of some old ruby stuff.
Comment 8 Johannes Jost Meixner freebsd_committer 2016-02-18 10:41:58 UTC
Makes sense. :-)

My problem is that until Redmine 3, or this patch, lands, I'll need a patched portstree to install Redmine 2 via Ansible --

https://github.com/fractalcells/fractalcells/blob/master/roles/redmine/tasks/redmine.yml#L57-L79

and 

https://github.com/fractalcells/fractalcells/blob/master/roles/comb/tasks/poudriere.yml#L63

and that I was hoping we could get this break-fix in, so that at least I don't have to maintain this breakfix in a local portstree, when other users could benefit from it too.

Because, currently, if you *do* want to use Redmine 2.x with Postgresql, it *is* broken since the rubygem-pg upgrade in r401667,
but can be fixed with the patch attached.
Comment 9 commit-hook freebsd_committer 2016-02-20 15:57:16 UTC
A commit references this bug:

Author: miwi
Date: Sat Feb 20 15:56:32 UTC 2016
New revision: 409250
URL: https://svnweb.freebsd.org/changeset/ports/409250

Log:
  - Fix postgres support for redmine2

  PR:		207007
  Submitted by:	Johannes Jost Meixner <johannes@meixner.dk>

Changes:
  head/www/redmine/Makefile
  head/www/redmine/files/patch-Gemfile